export interface ContentTemplate {
    name: string;
    job_title: string;
    location: string;
    profile_photo: string;
    about: string;

    skills: Skill[];
    timeline: TimelineEvent[];
}

export interface Skill {
    name: string;
    logo: string;
    colour: string;
    link: string;
    about: string;
    competency: number;
}

export interface TimelineEvent {
    duration: string;
    title: string;
    description: string;
}

export interface GitRepo {
    name: string;
    description: string;
    language: string;
    size: number;
    updated_at: Date;
    html_url: string;
    private: boolean;
    fork: boolean;
    owner: {
        login: string;
        avatar_url: string;
    };
}
